## org.apache.batik.parser
Class DefaultTimingSpecifierListHandler

    java.lang.Object
      org.apache.batik.parser.DefaultTimingSpecifierHandler
          org.apache.batik.parser.DefaultTimingSpecifierListHandler

All Implemented Interfaces:
  TimingSpecifierHandler, TimingSpecifierListHandler

Direct Known Subclasses:
  TimingSpecifierListProducer

    public class DefaultTimingSpecifierListHandler

extends DefaultTimingSpecifierHandler
implements TimingSpecifierListHandler

An adapter class for `TimingSpecifierListHandler`.

Field Summary
`static TimingSpecifierListHandler` `INSTANCE` The default handler.

Constructor Summary
`protected` `DefaultTimingSpecifierListHandler()`

Method Summary
`void` `endTimingSpecifierList()` Invoked when parsing of a timing specifier list ends.
`void` `startTimingSpecifierList()` Invoked when parsing of a timing specifier list commences.

Methods inherited from class org.apache.batik.parser.DefaultTimingSpecifierHandler
`accesskey, accessKeySVG12, eventbase, indefinite, mediaMarker, offset, repeat, repeat, syncbase, wallclock`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.batik.parser.TimingSpecifierHandler
`accesskey, accessKeySVG12, eventbase, indefinite, mediaMarker, offset, repeat, repeat, syncbase, wallclock`

Field Detail

### INSTANCE

    public static final TimingSpecifierListHandler INSTANCE

  The default handler.

Constructor Detail

### DefaultTimingSpecifierListHandler

    protected DefaultTimingSpecifierListHandler()

Method Detail

### startTimingSpecifierList

    public void startTimingSpecifierList()

  Invoked when parsing of a timing specifier list commences.

  Specified by:
    `startTimingSpecifierList` in interface `TimingSpecifierListHandler`

### endTimingSpecifierList

    public void endTimingSpecifierList()

  Invoked when parsing of a timing specifier list ends.

  Specified by:
    `endTimingSpecifierList` in interface `TimingSpecifierListHandler`

Copyright © 2008 Apache Software Foundation. All Rights Reserved.